MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000279SoldatOtherpublic2012-12-18 02:212014-02-14 21:17
ReporterAs de Espada 
Assigned Toskoskav 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.7 
Summary0000279: readonly.txt is not keeping maps safe
Descriptionif you enter a server that has a map different from your, you will be kicked. If you try to join again, you will download and replace the map, but that is not supposed to happen with default maps, that are in the readonly.txt
Steps To Reproducecreate a server, modify a default map, join your server, you will be kicked out, rejoin the server, your map will be replaced.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000095resolvedskoskav readonly.txt doesn't include new maps 

-  Notes
(0001729)
Falcon (administrator)
2013-06-25 13:55

I don't know what for is this file, but the behavior you described is perfectly fine, from technical point of view. Your map differs from what server has, so your client updates. The only solution i see here is to block you from joining that server as you cannot update AND you cannot play with map different than server's.
(0001824)
Shoozza (administrator)
2013-08-03 23:48

noticed downloads of custom default maps - this shouldn't happen
(0002138)
skoskav (developer)
2014-02-14 21:17

I know we're a team and all, but I find it a bit silly that two developers looked this bug over and left it broken without checking the readonly.txt parser check. :P

- Issue History
Date Modified Username Field Change
2012-12-18 02:21 As de Espada New Issue
2013-06-25 13:55 Falcon Note Added: 0001729
2013-06-25 13:55 Falcon Status new => feedback
2013-08-03 23:48 Shoozza Note Added: 0001824
2013-08-03 23:48 Shoozza Status feedback => confirmed
2014-01-25 10:01 homerofgods Relationship added related to 0000095
2014-02-14 21:17 skoskav Note Added: 0002138
2014-02-14 21:17 skoskav Status confirmed => resolved
2014-02-14 21:17 skoskav Fixed in Version => 1.6.7
2014-02-14 21:17 skoskav Resolution open => fixed
2014-02-14 21:17 skoskav Assigned To => skoskav


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker